(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define("xe-clipboard", ["exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.XEClipboard = mod.exports.default;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports) {
  'use strict';

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports["default"] = void 0;
  var doc = window.document;
  var copyElem;

  function handleText(content) {
    if (!copyElem) {
      copyElem = doc.createElement('textarea');
      copyElem.id = '$XECopy';
      var styles = copyElem.style;
      styles.width = '48px';
      styles.height = '24px';
      styles.position = 'fixed';
      styles.zIndex = '0';
      styles.left = '-500px';
      styles.top = '-500px';
      doc.body.appendChild(copyElem);
    }

    copyElem.value = content === null || content === undefined ? '' : '' + content;
  }

  function copyText(content) {
    var result = false;

    try {
      handleText(content);
      copyElem.select();
      copyElem.setSelectionRange(0, copyElem.value.length);
      result = doc.execCommand('copy');
      copyElem.blur();
    } catch (e) {}

    return result;
  }
  /**
   * 复制内容到剪贴板
   *
   * @param {String} content Text 内容
   */


  function XEClipboard(content) {
    return copyText(content);
  }

  XEClipboard.copy = copyText;
  var _default = XEClipboard;
  _exports["default"] = _default;
});